#pragma once

// Change YOURGAME_API to be the API of your project

#include "CoreMinimal.h"
#include "Components/RichTextBlockImageDecorator.h"
#include "CustomRichInlineImageArguments.h"
#include "Blueprint/WidgetBlueprintLibrary.h"
#include "Misc/Optional.h"
#include "CustomRichTextBlockImageDecorator.generated.h"

#pragma region Custom Rich Text Block Image Decorator

UCLASS(Blueprintable)
class YOURGAME_API UCustomRichTextBlockImageDecorator : public URichTextBlockImageDecorator
{
	GENERATED_BODY()
public:
	UPROPERTY()
	FSlateBrush _Brush;
	UCustomRichTextBlockImageDecorator(const FObjectInitializer& ObjectInitializer);
	virtual TSharedPtr<ITextDecorator> CreateDecorator(URichTextBlock* InOwner) override;
};

#pragma endregion