#pragma once

// Change YOURGAME_API to be the API of your project
// This is only an example class

#include "CoreMinimal.h"
#include "Components/RichTextBlockImageDecorator.h"
#include "CustomRichInlineImageArguments.h"
#include "Blueprint/WidgetBlueprintLibrary.h"
#include "Misc/Optional.h"
#include "ItemIconRichTextBlockImageDecorator.generated.h"

#pragma region Item Icon Rich Text Block Image Decorator

UCLASS(Blueprintable)
class YOURGAME_API UItemIconRichTextBlockImageDecorator : public URichTextBlockImageDecorator
{
	GENERATED_BODY()
public:
	UPROPERTY()
	FSlateBrush _Brush;
	UItemIconRichTextBlockImageDecorator(const FObjectInitializer& ObjectInitializer);
	virtual TSharedPtr<ITextDecorator> CreateDecorator(URichTextBlock* InOwner) override;
};

#pragma endregion